com.holonplatform.datastore.jpa.dialect

## Class HibernateDialect

- java.lang.Object
- - com.holonplatform.datastore.jpa.dialect.HibernateDialect

- All Implemented Interfaces:
    ORMDialect

      public class HibernateDialect
      extends Object
      implements ORMDialect

  Hibernate `ORMDialect`.
  Since:
    5.1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteStatementAliasSupported()` Get whether alias is supported in DELETE statements.
    `Optional<String>` | `getBatchSizeConfigurationProperty()` Get the JPA configuration property name which corresponds to bulk operations batch size.
    `int` | `getSupportedJPAMajorVersion()` Get the supported JPA major version.
    `int` | `getSupportedJPAMinorVersion()` Get the supported JPA minor version.
    `void` | `init(ORMDialectContext context)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `isTupleSupported()` Returns whether the `Tuple` query result type is supported.
    `com.holonplatform.core.exceptions.DataAccessException` | `translateException(javax.persistence.PersistenceException exception)` Translates given `PersistenceException` into a suitable `DataAccessException`.
    `boolean` | `updateStatementAliasSupported()` Get whether alias is supported in UPDATE statements.
    `boolean` | `updateStatementSetAliasSupported()` Get whether alias is supported in UPDATE statement SET clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.dialect.ORMDialect

      `datanucleus, detect, eclipselink, getLikeEscapeCharacter, getLikeEscapeJPQL, hibernate, likeEscapeSupported, openJPA, resolveFunction, temporalTypeParametersSupported, temporalTypeProjectionSupported`

- - ### Constructor Detail

    - #### HibernateDialect

          public HibernateDialect()

  - ### Method Detail

    - #### init

          public void init(ORMDialectContext context)

      Description copied from interface: `ORMDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `ORMDialect`
      Parameters:
        `context` - Dialect context

    - #### getSupportedJPAMajorVersion

          public int getSupportedJPAMajorVersion()

      Description copied from interface: `ORMDialect`
      Get the supported JPA major version.
      Specified by:
        `getSupportedJPAMajorVersion` in interface `ORMDialect`
      Returns:
        the supported JPA major version

    - #### getSupportedJPAMinorVersion

          public int getSupportedJPAMinorVersion()

      Description copied from interface: `ORMDialect`
      Get the supported JPA minor version.
      Specified by:
        `getSupportedJPAMinorVersion` in interface `ORMDialect`
      Returns:
        the supported JPA minor version

    - #### isTupleSupported

          public boolean isTupleSupported()

      Description copied from interface: `ORMDialect`
      Returns whether the `Tuple` query result type is supported.
      Specified by:
        `isTupleSupported` in interface `ORMDialect`
      Returns:
        Whether the `Tuple` query result type is supported

    - #### getBatchSizeConfigurationProperty

          public Optional<String> getBatchSizeConfigurationProperty()

      Description copied from interface: `ORMDialect`
      Get the JPA configuration property name which corresponds to bulk operations batch size.
      Specified by:
        `getBatchSizeConfigurationProperty` in interface `ORMDialect`
      Returns:
        The batch size configuration property name, if available

    - #### updateStatementAliasSupported

          public boolean updateStatementAliasSupported()

      Description copied from interface: `ORMDialect`
      Get whether alias is supported in UPDATE statements.
      Specified by:
        `updateStatementAliasSupported` in interface `ORMDialect`
      Returns:
        Whether alias is supported in UPDATE statements.

    - #### updateStatementSetAliasSupported

          public boolean updateStatementSetAliasSupported()

      Description copied from interface: `ORMDialect`
      Get whether alias is supported in UPDATE statement SET clause.
      Specified by:
        `updateStatementSetAliasSupported` in interface `ORMDialect`
      Returns:
        Whether alias is supported in UPDATE statement SET clause.

    - #### deleteStatementAliasSupported

          public boolean deleteStatementAliasSupported()

      Description copied from interface: `ORMDialect`
      Get whether alias is supported in DELETE statements.
      Specified by:
        `deleteStatementAliasSupported` in interface `ORMDialect`
      Returns:
        Whether alias is supported in DELETE statements.

    - #### translateException

          public com.holonplatform.core.exceptions.DataAccessException translateException(javax.persistence.PersistenceException exception)

      Description copied from interface: `ORMDialect`
      Translates given `PersistenceException` into a suitable `DataAccessException`.
      Specified by:
        `translateException` in interface `ORMDialect`
      Parameters:
        `exception` - Exception to translate (not null)
      Returns:
        Translated `PersistenceException`

Copyright © 2019 The Holon Platform. All rights reserved.